/* See AutoFocus/doc/COPYING for copyright/licensing information. */
/* cestan@cs.ucsd.edu 07/16/2002 */

/* This header describes the 64 bit counter object. */

#ifndef COUNTER64_H
#define COUNTER64_H

#include "atom.h"

class counter64:public atomwithname{
 public:
  counter64(char* name):atomwithname(name){;}
  unsigned int getbinsize(){return 8;}
  unsigned int getmaxhrsize(){return 20;}
  void print(buffer& b, const byte* data)
    {b.print_unsigned8(*(uint8*)data);}
  int parse(buffer& b, byte* data)
    {return b.parse_unsigned8((uint8*)data);}
};

#endif /* COUNTER64_H */
