/* See AutoFocus/doc/COPYING for copyright/licensing information. */
/* cestan@cs.ucsd.edu 07/10/2002 */

/* This header describes the IP address. */

#ifndef IP_H
#define IP_H

#include "../field.h"
#include "prefix.h"

class ip:public field{
 public:
  ip(char* name):field(name),p(*this){;}
  unsigned int getbinsize(){return sizeof(uint4);}
  unsigned int getmaxhrsize(){return 15;}
  void print (buffer& b,const byte* data);
  int parse (buffer& b, byte* data);
  class pattern& getpattern(){return p;}
 private:
  prefix p;
};

#endif /* IP_H */
