/* See AutoFocus/doc/COPYING for copyright/licensing information. */
/* cestan@cs.ucsd.edu 06/26/2003 */

#include <stdlib.h>
#include "iporderhelper.h"
#include "../../readwrite/assume.h"

void iporderhelper:: convert_growing_hash(growing_hash & prefixes){
  numpatterns=prefixes.size();
  patterns=(ofhelement*)malloc(es*numpatterns);
  assumenotnull(patterns);
  ofhelement* crt=patterns;
  for(growing_hash_iterator k(prefixes);!k.at_end();++k){
    copy(k.key(),crt->pattern,5);
    crt->parent=nthpattern(((pmh_entry*)k.value())->parentindex);
    crt->prune=nthpattern(((pmh_entry*)k.value())->pruneindex);
    crt=(ofhelement*)((byte*)crt+es);
  }
}
