/* See AutoFocus/doc/COPYING for copyright/licensing information. */
/* cestan@cs.ucsd.edu 07/30/2002 */

#ifndef PORTOFM_H
#define PORTOFM_H

#include "../../algorithms/onefield/ofm.h"

class portofm: public ofm{
 public:
  portofm();
  void newpacket(const byte* fvalue, uint8 increment=1);
  ofhorder* buildorderoflargepatterns(uint8 threshold);
 private:
  uint8 counters[65537];
  /* Last counter keeps the traffic with undefined ports */
};

class portofmorder: public ofhorder{
 public:
  portofmorder(uint8* counters, uint8 threshold);
};

#endif /* PORTOFM_H */
