#!/usr/bin/perl
#See AutoFocus/doc/COPYING for copyright/licensing information.

require "./AutoFocusConfig";
push @INC,$script_dir;
require AutoFocus;

system("rm -rf tmp split_raw_data summaries");
mkdir("tmp");
mkdir("split_raw_data");
mkdir("summaries");
mkdir("summaries/week");
mkdir("summaries/day");
mkdir("summaries/threehour");
mkdir("summaries/halfhour");
foreach $category (@cats){
  mkdir("summaries/week/$category");
  mkdir("summaries/day/$category");
  mkdir("summaries/threehour/$category");
  mkdir("summaries/halfhour/$category");
}
system("cat /dev/null > tenminutebin ; cat /dev/null > onehourbin");
system("cat /dev/null > summaries/halfhour/webdir");
system("cat /dev/null > summaries/threehour/webdir");
system("cat /dev/null > summaries/day/webdir");
system("cat /dev/null > summaries/week/webdir");


system("rm -f *.rrd");
foreach $bs ("oneminute","tenminutes","onehour"){
  foreach $type ("bytes","packets","flows"){
    $databasename="traffic-$type-$bs.rrd";
    unlink ($databasename);

    $commandline="$rrdtool create $databasename -s$binsize{$bs} --start 1000000000 ";
    foreach $category (@cats){
      $commandline.=" DS:$category:GAUGE:3600:U:U";
    }
    $commandline.=" RRA:AVERAGE:0.5:1:200";
    system($commandline);
  }
}
