/* See AutoFocus/doc/COPYING for copyright/licensing information. */
/* cestan@cs.ucsd.edu 07/10/2002 */

/* This defines the protocol field object. */

#ifndef PROTO_H
#define PROTO_H

#include "../field.h"
#include "protop.h"

class proto:public field{
 public:
  proto(char* name):field(name),p(*this){;}
  unsigned int getbinsize(){return sizeof(uint1);}
  unsigned int getmaxhrsize(){return 3;}
  void print (buffer& b, const byte* data);
  int parse (buffer& b, byte* data);
  class pattern& getpattern(){return p;}
 private:
  protop p;
};


#endif /* PROTO_H */
