/* See AutoFocus/doc/COPYING for copyright/licensing information. */
/* cestan@cs.ucsd.edu 06/26/2003 */

#ifndef PROTOFM_H
#define PROTOFM_H

#include "../../algorithms/onefield/ofm.h"
#include "../typedefs.h"

class protofm: public ofm{
 public:
  protofm();
  void newpacket(const byte* fvalue, uint8 increment=1);
  ofhorder* buildorderoflargepatterns(uint8 threshold);
 private:
  uint8 counters[256];
};

class protofmorder: public ofhorder{
 public:
  protofmorder(uint8* counters,uint8 threshold);
};

#endif /* PROTOFM_H */
