/* See AutoFocus/doc/COPYING for copyright/licensing information. */
/* cestan@cs.ucsd.edu 06/27/2002 */

/* The record is a compound of fields */

#ifndef RECORD_H
#define RECORD_H

#include "field.h"
#include "compound.h"
#include "cluster.h"

class record:public compound{
 public:
  record(field*f0=NULL, field*f1=NULL, field*f2=NULL, field*f3=NULL,
	 field*f4=NULL, field*f5=NULL, field*f6=NULL, field*f7=NULL,
	 field*f8=NULL, field*f9=NULL, field*f10=NULL, field*f11=NULL,
	 field*f12=NULL, field*f13=NULL, field*f14=NULL, field*f15=NULL,
	 field*f16=NULL, field*f17=NULL, field*f18=NULL, field*f19=NULL):
    compound(f0,f1,f2,f3,f4,f5,f6,f7,f8,f9,f10,f11,f12,f13,f14,f15,f16,f17,
	     f18,f19),
    c((f0==NULL?NULL:&(f0->getpattern())),(f1==NULL?NULL:&(f1->getpattern())),
      (f2==NULL?NULL:&(f2->getpattern())),(f3==NULL?NULL:&(f3->getpattern())),
      (f4==NULL?NULL:&(f4->getpattern())),(f5==NULL?NULL:&(f5->getpattern())),
      (f6==NULL?NULL:&(f6->getpattern())),(f7==NULL?NULL:&(f7->getpattern())),
      (f8==NULL?NULL:&(f8->getpattern())),(f9==NULL?NULL:&(f9->getpattern())),
      (f10==NULL?NULL:&(f10->getpattern())),
      (f11==NULL?NULL:&(f11->getpattern())),
      (f12==NULL?NULL:&(f12->getpattern())),
      (f13==NULL?NULL:&(f13->getpattern())),
      (f14==NULL?NULL:&(f14->getpattern())),
      (f15==NULL?NULL:&(f15->getpattern())),
      (f16==NULL?NULL:&(f16->getpattern())),
      (f17==NULL?NULL:&(f17->getpattern())),
      (f18==NULL?NULL:&(f18->getpattern())),
      (f19==NULL?NULL:&(f19->getpattern()))){;}
  field& getfield(int index){return *(field*)things[index];}
  cluster& getcluster(){return c;}
 protected:
  cluster c;  /* The cluster associated with the pattern. */
};

#endif /* RECORD_H */
