/* See AutoFocus/doc/COPYING for copyright/licensing information. */
/* cestan@cs.ucsd.edu 05/29/2001 */

/* These functions can be used by any trace format to handle
   compressed traces. */

#include <stdio.h>

#ifndef COMPRESSED_H
#define COMPRESSED_H

/* Based on the file name (and possibly on the file content) we decide
   wether the file is compressed or not. */

int iscompressed(const char* filename);

FILE* readopencompressed(const char* filename);

/* #define readclosecompressed(file) fclose(file) */

FILE* writeopencompressed(const char* filename);

/* #define writeclosecompressed(file) fclose(file) */

#endif /* COMPRESSED_H */
